Bug 200540 - [patch] update net/mosquitto to 1.4.2 + dedicated py-paho-mqtt port
Summary: [patch] update net/mosquitto to 1.4.2 + dedicated py-paho-mqtt port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olli Hauer
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-30 19:29 UTC by Olli Hauer
Modified: 2015-07-04 09:37 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (joe)


Attachments
mosquitto-1.4.2 update (5.29 KB, patch)
2015-05-30 19:29 UTC, Olli Hauer
no flags Details | Diff
new port paho-mqtt (1.04 KB, patch)
2015-05-30 19:31 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2015-05-30 19:29:36 UTC
Created attachment 157290 [details]
mosquitto-1.4.2 update

The python part is now a standalone project hosted by eclipse.

patch one updates the port to version 1.4.2, the second is for the new py-paho-mqtt port.
Comment 1 Olli Hauer freebsd_committer 2015-05-30 19:31:11 UTC
Created attachment 157291 [details]
new port paho-mqtt

The standalone python part
Comment 2 Emil Petrik 2015-07-01 09:26:28 UTC
(In reply to Olli Hauer from comment #0)
It would be possible to make an option for turning on websocket protocol. I tried to edit config.mk(change WITH_WEBSOCKETS=yes, have installed libwebsockets library), but this not work. thanks Emil
Comment 3 commit-hook freebsd_committer 2015-07-04 09:09:40 UTC
A commit references this bug:

Author: ohauer
Date: Sat Jul  4 09:09:35 UTC 2015
New revision: 391296
URL: https://svnweb.freebsd.org/changeset/ports/391296

Log:
  - add port py-paho-mqtt

  This port replace the replace mosquitto python driver

  Python MQTT version 3.1/3.1.1 client class

  The MQTT protocol is a machine-to-machine (M2M)/"Internet of Things"
  connectivity protocol. Designed as an extremely lightweight publish/subscribe
  messaging transport, it is useful for connections with remote locations where
  a small code footprint is required and/or network bandwidth is at a premium.

  WWW: http://eclipse.org/paho

  PR:		200540
  Submitted by:	ohauer
  Approved by:	Joseph Benden <joe@thrallingpenguin.com> (maintainer, via PM)

Changes:
  head/net/Makefile
  head/net/py-paho-mqtt/
  head/net/py-paho-mqtt/Makefile
  head/net/py-paho-mqtt/distinfo
  head/net/py-paho-mqtt/pkg-descr
Comment 4 commit-hook freebsd_committer 2015-07-04 09:14:45 UTC
A commit references this bug:

Author: ohauer
Date: Sat Jul  4 09:14:10 UTC 2015
New revision: 391297
URL: https://svnweb.freebsd.org/changeset/ports/391297

Log:
  - update to 1.4.2

  The Python driver is now provided by net/py-paho-mqtt!

  More drivers can be found at http://eclipse.org/paho

  PR:		200540
  Submitted by:	ohauer
  Approved by:	Joseph Benden <joe@thrallingpenguin.com> (maintainer, via PM)

Changes:
  head/net/mosquitto/Makefile
  head/net/mosquitto/distinfo
  head/net/mosquitto/files/patch-CMakeLists.txt
  head/net/mosquitto/files/patch-config.mk
  head/net/mosquitto/files/patch-lib_tls__mosq.h
  head/net/mosquitto/files/patch-mosquitto.conf
  head/net/mosquitto/files/patch-src_CMakeLists.txt
  head/net/mosquitto/pkg-descr
  head/net/mosquitto/pkg-message
  head/net/mosquitto/pkg-plist
Comment 5 Olli Hauer freebsd_committer 2015-07-04 09:37:06 UTC
(In reply to Emil Petrik from comment #2)
I think first we need a working port for libwebsockets in the tree.

Adding an OPTION to change config.mk and depend on libwebsockets can be easily added later to mosquitto.
Comment 6 Olli Hauer freebsd_committer 2015-07-04 09:37:33 UTC
- update committed!